psimi25ComplexEntry-class {RpsiXML} | R Documentation

## Class "psimi25ComplexEntry"

### Description

A class representing the complex data extracted from file in PSI-MI 2.5 format.

### Objects from the Class

Objects can be created by calls of the form `parsePsimi25Complex`

### Slots

`releaseDate`:
  Object of class `"character"`, release date
`interactors`:
  Object of class `"matrix"`, interactors involved
`complexes`:
  Object of class `"list"`, complexes

### Methods

complexes
  `signature(x = "psimi25ComplexEntry")`: returns all complexes
interactors
  `signature(x = "psimi25ComplexEntry")`: returns information of interactors
show
  `signature(object = "psimi25ComplexEntry")`: shows information of all the complexes

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

### See Also

`parsePsimi25Complex` `psimi25ComplexEntry`

### Examples

    showClass("psimi25ComplexEntry")

[Package RpsiXML version 1.0.0 Index]